Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class BasicBandControlPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.BandControlPanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicBandControlPanelUI

public class BasicBandControlPanelUI extends BandControlPanelUI
Basic UI for control panel of ribbon band `JBandControlPanel`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOTTOM_ROW`
`protected ChangeListener`
`changeListener`
`protected AbstractBandControlPanel`
`controlPanel`
The associated control panel.
`protected JCommandButton`
`dummy`
`static final String`
`MID_ROW`
`static final String`
`TOP_ROW`

## Constructor Summary

Constructors
Constructor
Description
`BasicBandControlPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`protected LayoutManager`
`createLayoutManager()`
Invoked by `installUI` to create a layout manager object to manage the `JBandControlPanel`.
`static ComponentUI`
`createUI(JComponent c)`
`int`
`getLayoutGap()`
Returns the layout gap for the controls in the associated control panel.
`protected void`
`installComponents()`
Installs components on the associated control panel of a ribbon band.
`protected void`
`installDefaults()`
Installs default parameters on the associated control panel of a ribbon band.
`protected void`
`installListeners()`
Installs listeners on the associated control panel of a ribbon band.
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintBandBackground(Graphics graphics, Rectangle toFill)`
Paints band background.
`protected void`
`syncGroupHeaders()`
`protected void`
`uninstallComponents()`
Uninstalls components from the associated control panel of a ribbon band.
`protected void`
`uninstallDefaults()`
Uninstalls default parameters from the associated control panel.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated control panel of a ribbon band.
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### changeListener

protected ChangeListener changeListener

### controlPanel

protected AbstractBandControlPanel controlPanel
The associated control panel.

### dummy

protected JCommandButton dummy

### TOP_ROW

public static final String TOP_ROW

See Also:
  - Constant Field Values

### MID_ROW

public static final String MID_ROW

See Also:
  - Constant Field Values

### BOTTOM_ROW

public static final String BOTTOM_ROW

See Also:
  - Constant Field Values

## Constructor Details

### BasicBandControlPanelUI

public BasicBandControlPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### createLayoutManager

protected LayoutManager createLayoutManager()
Invoked by `installUI` to create a layout manager object to manage the `JBandControlPanel`.

Returns:
  a layout manager object

### installListeners

protected void installListeners()
Installs listeners on the associated control panel of a ribbon band.

### uninstallListeners

protected void uninstallListeners()
Uninstalls listeners from the associated control panel of a ribbon band.

### installComponents

protected void installComponents()
Installs components on the associated control panel of a ribbon band.

### uninstallComponents

protected void uninstallComponents()
Uninstalls components from the associated control panel of a ribbon band.

### syncGroupHeaders

protected void syncGroupHeaders()

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installDefaults

protected void installDefaults()
Installs default parameters on the associated control panel of a ribbon band.

### uninstallDefaults

protected void uninstallDefaults()
Uninstalls default parameters from the associated control panel.

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### paintBandBackground

protected void paintBandBackground(Graphics graphics, Rectangle toFill)
Paints band background.

Parameters:
  `graphics` - Graphics context.
  `toFill` - Rectangle for the background.

### getLayoutGap

public int getLayoutGap()
Description copied from class: `BandControlPanelUI`
Returns the layout gap for the controls in the associated control panel.

Specified by:
  `getLayoutGap` in class `BandControlPanelUI`
Returns:
  The layout gap for the controls in the associated control panel.